Status: Resolved Priority: Must have
Author: Christian Müller Category:
Created: 2012-02-24 Assigned To: Christian Müller
Updated: 2012-02-26 Due date:
Subject: Shortcut Handling in FrontendNodeRoutePartHandler can lead to exception
Description

resolveValue in FrontendNodeRoutePartHandler doesn't check if $node is really instance of NodeInterface, it just calls methods on it.
This leads to unhandled exceptions in vanilla Phoenix Distribution.

To test checkout clean Pheonix master, import, create admin and login, you should directly end up with the exception.

Associated revisions
Revision 2790fdb5 - 2012-02-24 16:28 - Christian Müller

[BUGFIX] Check if resolved node is instance of NodeInterface

Currently resolveValue assumes that the resolved node is really
a node and calls node methods without checking if that really is
possible. This change fixes that behaviour.

Change-Id: I8cb07388fa61128f48c3a3e14f21f70d2e3e6d6a
Fixes: #34233

History
#1 - 2012-02-24 16:36 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9182

#2 - 2012-02-26 22:32 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

thanks :)
